Status: Rozwigzany Start date: 2017-08-03

Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: Wojtek Hury, tukasz Waskiewicz
Description

Podczas pierwszego zapisu nalezy dodac 2 wpisy. Jeden bedacy kopig 1:1 dokumentu znajdujgcego sie w infonie oraz drugi, ktéry
bedzie zawierat wprowadzone zmiany.

Ponadto nalezy przechowywac informacje o tym, ktéry dokument znajduje sie aktualnie na infonie, dzieki czemu przywrécenie wersji,
ktora jest zgodna ze stanem w infonie powinna sprawiac, ze stan dokumentu bezie opublikowany -> z punktu widzenia uzytkownika
dokument nie bedzie zawierat zadnych zmian.

Associated revisions

Revision a9fb0d7e - 2017-08-07 10:08 - Michat Komar

refs #1797: Inicjalny zapis dokumentu

Revision af9ffe56 - 2017-08-07 15:03 - Michat Komar

refs #1797: Dodanie pola synced na archivedocumentEntity

Pole zawiera informacje, ktéry dokument zostat aktualnie zmodyfikowany
na infonie. Zaktadam, ze jupiter jest gtbwnym zrédtem (masterem) danych.

Revision aca80bce - 2017-08-08 09:08 - Michat Komar

refs #1797: Zmiana sposobu weryfikacji, czy utworzy¢ inicjalny dok.

Revision db823229 - 2017-08-08 12:34 - Michat Komar

refs #1797: Poprawienie ustawiania synced. Poprawienie labelek

Revision 1af5e7ce - 2017-08-08 15:48 - Michat Komar

refs #1797: Dodanie zrodta dokumentow

Revision 35b895ff - 2017-08-09 08:43 - Michat Komar

refs #1797: Poprawienie ustawiania flagi synced
Revision 3344bf23 - 2017-08-10 14:31 - Michat Komar

refs #1797: Drobne poprawki (warningi, zmiana parenta na platform-bom)

Revision b48ef158 - 2017-08-11 09:31 - Michat Komar

refs #1797: Poprawienie wersji JWT

Revision 65355bc2 - 2017-08-11 10:05 - Michat Komar

refs #1797: Poprawienie konfiguracji fulltext

Revision 0e5d403e - 2017-08-11 10:17 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision e82961e5 - 2017-08-11 10:33 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision 5222dfad - 2017-08-11 10:42 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision 91b71575 - 2017-08-11 10:43 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision 87924550 - 2017-08-11 10:43 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision 60ba8d54 - 2017-08-11 10:52 - Michat Komar

refs #1797: Fix import petnych tekstow

Revision 8e7126¢5 - 2017-08-17 08:39 - Michat Komar

refs #1797:Poprawienie testow

Revision d0758d12 - 2017-08-17 08:57 - Michat Komar

refs #1797:Poprawienie testow

2024-05-19

2/4



Revision 581c5af5 - 2017-08-17 10:05 - Michat Komar

refs #1797:Poprawienie testow

Revision 12¢51781 - 2017-08-17 11:22 - Michat Komar

refs #1797:Poprawienie testow

Revision 7e110406 - 2017-08-18 08:40 - Michat Komar

refs #1797:Poprawienie integracji z cermine

Revision dd466e2d - 2017-08-18 08:41 - Lukasz Waskiewicz

refs #1797 poprawienie testu cermine

Revision 34da27b6 - 2017-08-23 15:35 - Michat Komar

refs #1797: Dodanie obstugi current na archivedocument

Revision 65100b30 - 2017-08-24 08:18 - Michat Komar

refs #1797:Poprawienie mapowan current na archdocref

History

#1 - 2017-08-24 10:51 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to Wojtek Hury
- % Done changed from 0 to 100

- Tester Wojtek Hury added

Do przetestowania:

1. weryfikacja, czy zapisuje sig inicjalna wersja dokumentu, umozliwiajaca przywrdcenie wersji z infony, po wprowadzeniu inicjalnych zmian

2. weryfikacja, czy wersja tworzy sie niezaleznie od workflow

3. sprawdzenie, czy dobrze wyliczajg sig flagi current (true=>archdoc.current.archdoc == archdoc) oraz synced (true=> wersja na infonie zgdodna z
tg wersjg archdoc) - gdy flaga jest synced, to nie ma mozliwosci przywrdcenia tej wersji na infonie (nie jestem pewien, czy taki twardy zakaz jest ok,

moze dialog z informacja, ze prawdopodobnie, wersje sg tozsame, bytby lepszy ? )

#2 - 2017-09-13 09:48 - Michat Komar

- Assignee changed from Wojtek Hury to Michat Komar

#3 - 2017-09-13 09:48 - Michat Komar
- Assignee changed from Michat Komar to tukasz Waskiewicz

#4 - 2017-09-25 15:19 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz

- Assignee changed from tukasz Waskiewicz to Michat Komar

dla workflow BASIC
zaden dokument nie ma flagi current == TRUE , bo Zaden nie moze zrobi¢ join do CurrentDocument, bo takiego nie ma

dostepnosé restore jest okreslana na podstawie flagi current a nie sync (zty opis w tasku)

dla workflow FULL

po zatwierdzeniu zmian mozemy przywréci¢ dokument, z ze statusem edytowany (operacja bez sensu, bo to ten sam dokument co zatwierdzony)
jesli opublikujemy dokument to w historii wida¢ 2 dokumenty ze stanem "Opublikowany") i takze wtedy mozemy przywracaé¢ dokumenty ze stanem

edytowany i zatwierdzony

flage current mozna by wyznaczac¢ dla bwmety a nie dla archiveDoc
#5 - 2017-09-25 15:19 - Lukasz Waskiewicz

- Tester tukasz Waskiewicz added

#6 - 2017-10-11 07:27 - Michat Komar

- Status changed from Odpowiedz to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

Mysle, ze logike przywracania wersji historycznych mozemy przetozyé na p6zniejszg wersje. W ramach tego zadania chodzito gtéwnie o zapisywanie

stanu initial i chyba dziata to prawidtowo?

#7 - 2017-10-12 14:18 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

to wszystko OK
